meep-mpi-default_1.3-3build5_amd64.deb


Advertisement

Description

meep-mpi-default - software package for FDTD simulation, parallel (OpenMPI) version

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename meep-mpi-default_1.3-3build5_amd64.deb
Package name meep-mpi-default
Package version 1.3
Package release 3build5
Package architecture amd64
Package type deb
Category universe/science
Homepage http://ab-initio.mit.edu/wiki/index.php/Meep
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 166.71 KB
Installed size 661.00 KB
Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation
software package developed at MIT to model electromagnetic systems.
Its features include:
* Simulation in 1d, 2d, 3d, and cylindrical coordinates.
* Distributed memory parallelism on any system supporting the MPI standard.
* Dispersive (including loss/gain) and nonlinear (Kerr & Pockels) materials.
Magnetic permeability and electric/magnetic conductivities.
* PML absorbing boundaries and/or perfect conductor and/or Bloch-periodic
boundary conditions.
* Exploitation of symmetries to reduce the computation size .
even/odd mirror symmetries and 90/180 degree rotations.
* Complete scriptability - either via a Scheme scripting front-end
(as in libctl and MPB), or callable as a C++ library.
* Field output in the HDF5 standard scientific data format, supported by
many visualization tools.
* Arbitrary material and source distributions.
* Field analyses including flux spectra, frequency extraction, and energy
integrals; completely programmable.
* Multi-parameter optimization, root-finding, integration, etcetera
(via libctl).
This package contains the MPICH2 version of the software.

Alternatives

Package Version Architecture Repository
meep-mpi-default_1.3-3build5_i386.deb 1.3 i386 Ubuntu Universe
meep-mpi-default - - -

Requires

Name Value
guile-2.0-libs -
libc6 >= 2.14
libctl5 >= 3.0.3
libgcc1 >= 1:3.0
libmeep-mpi-default8 -
libstdc++6 >= 5
mpi-default-bin -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package meep-mpi-default_1.3-3build5_amd64.deb
Source Package meep-mpi-default

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install meep-mpi-default deb package:
    # sudo apt-get install meep-mpi-default

Files

Path
/usr/bin/meep-mpi-default
/usr/share/doc/meep-mpi-default/TODO
/usr/share/doc/meep-mpi-default/changelog.Debian.gz
/usr/share/doc/meep-mpi-default/copyright
/usr/share/man/man1/meep-mpi-default.1.gz

Changelog

2017-08-06 - Matthias Klose <doko@ubuntu.com>
meep-mpi-default (1.3-3build5) artful; urgency=medium
* No-change rebuild for libgsl soname change.
2016-11-29 - Iain Lane <iain@orangesquash.org.uk>
meep-mpi-default (1.3-3build4) zesty; urgency=medium
* Rebuild against new hdf5
2016-10-22 - Steve Langasek <steve.langasek@ubuntu.com>
meep-mpi-default (1.3-3build3) zesty; urgency=medium
* No-change rebuild against libopenmpi2
2016-02-06 - Matthias Klose <doko@ubuntu.com>
meep-mpi-default (1.3-3build2) xenial; urgency=medium
* No-change rebuild for openmpi on s390x.
2016-02-01 - Matthias Klose <doko@ubuntu.com>
meep-mpi-default (1.3-3build1) xenial; urgency=medium
* No-change rebuild for openmpi transition.
2015-12-20 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-3) unstable; urgency=medium
* Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
Thanks to Bas Couwenberg for the patch (Closes: #807213)
* debian/rules: put correct path to --with-libctl
2015-07-05 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-2) unstable; urgency=medium
* debian/control: add conflict with old version of libs (Closes: #790746)
2015-06-22 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.3-1) unstable; urgency=medium
* upstream version (Closes: #788691)
* soname changed to 8
* debian/control: Standards Version to 3.9.6. (No changes needed).
2014-08-03 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.2.1-2) unstable; urgency=medium
* Support hdf5 1.8.13 new packaging layout. (Closes: #756682)
(patch by Gilles Filippini <pini@debian.org>)
2014-05-10 - Thorsten Alteholz <debian@alteholz.de>
meep-mpi-default (1.2.1-1) unstable; urgency=medium
* new upstream version
* soname changed to 7
* debian/rules: upstream ChangeLog is now called NEWS
* debian/control: Standards Version to 3.9.5. (No changes needed).
* debian/control: switch to dh 9
* debian/control: use guile 2.0 now
* debian/control: remove DM-Upload-Allowed:
* debian/rules: use debhelper
* debian/rules: use --with autoreconf (Closes: #744462)
* debian/copyright: adapt years

See Also

Package Description
meep-mpich2_1.3-4build3_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep-openmpi_1.3-3build4_amd64.deb software package for FDTD simulation, parallel (OpenMPI) version
meep_1.3-4build2_amd64.deb software package for FDTD simulation
megaglest-data_3.13.0-2_all.deb data files for MegaGlest
megaglest_3.13.0-2_amd64.deb 3D multi-player real time strategy game
megatools_1.9.98-1build2_amd64.deb Command-line client for the Mega cloud storage service
meld_3.18.0-6_all.deb graphical tool to diff and merge files
melt_6.6.0-1build1_amd64.deb command line media player and video editor
melting-gui_4.3.1+dfsg-3_all.deb graphical interface to compute the melting temperature of nucleic acid duplex
melting_4.3.1+dfsg-3_amd64.deb compute the melting temperature of nucleic acid duplex
members_20080128-5+nmu1_amd64.deb Shows the members of a group; by default, all members
memcachedb_1.2.0-12build1_amd64.deb Persistent storage engine using the memcache protocol
memdump_1.01-7build1_amd64.deb utility to dump memory contents to standard output
memleax_1.1.1-1_amd64.deb debug a running process for memory leaks
memlockd_1.2_amd64.deb daemon to lock files into RAM
Advertisement
Advertisement